subroutine compute_a_ii(n, a, irow, a_ii)
real a(n,n)
real(8) sum

!jcol =irow
i1 = irow-1
sum =0.D0

	do k =1, i1
	sum =sum +dprod(a(irow, k), a(k, irow))
	enddo

a_ii =a(irow, irow) -sum		! Cf.: L(i,i) /=1.

END
